<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_404040">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/sharecard_bottom">

            <LinearLayout
                android:id="@+id/sharecard_screenshot"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="9dp"
                    android:layout_marginRight="9dp"
                    android:layout_marginTop="21dp"
                    android:background="@drawable/share_text_bg"
                    android:paddingBottom="20dp"
                    android:paddingLeft="32dp"
                    android:paddingRight="32dp">

                    <TextView
                        android:id="@+id/sharecard_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="55dp"
                        android:textColor="@color/title"
                        android:textSize="16sp" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/sharecard_content"
                        android:layout_marginTop="43dp">

                        <com.facebook.drawee.view.SimpleDraweeView
                            android:id="@+id/sharecard_game_icon"
                            android:layout_width="26dp"
                            android:layout_height="26dp"
                            android:layout_marginRight="12dp"
                            android:layout_toLeftOf="@+id/sharecard_game_name" />

                        <TextView
                            android:id="@+id/sharecard_game_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:textColor="@color/title"
                            android:textSize="16sp" />

                    </RelativeLayout>
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="45dp">

                    <ImageView
                        android:id="@+id/sharecard_qrcode"
                        android:layout_width="47dp"
                        android:layout_height="47dp"
                        android:layout_marginRight="10dp" />

                    <TextView
                        android:id="@+id/sharecard_qrcode_hint"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_toRightOf="@+id/sharecard_qrcode"
                        android:text="长按二维码查看详情"
                        android:textColor="@color/hint" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/sharecard_qrcode_hint"
                        android:layout_marginTop="6dp"
                        android:layout_toRightOf="@+id/sharecard_qrcode">

                        <ImageView
                            android:id="@+id/sharecard_gh_icon"
                            android:layout_width="16dp"
                            android:layout_height="16dp"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="5dp"
                            android:src="@drawable/concern_message_icon" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_toRightOf="@+id/sharecard_gh_icon"
                            android:text="分享自『光环助手』App"
                            android:textColor="@color/hint" />

                    </RelativeLayout>
                </RelativeLayout>
            </LinearLayout>
        </ScrollView>

        <LinearLayout
            android:id="@+id/sharecard_bottom"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@color/white"
            android:orientation="vertical" />

    </RelativeLayout>
</LinearLayout>